Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions
tesseract::CubeLineSegmenter Class Reference

`#include <cube_line_segmenter.h>`

List of all members.

## Public Member Functions

| CubeLineSegmenter (CubeRecoContext *cntxt, Pix *img)
| ~CubeLineSegmenter ()
Pix * | PostProcessedImage ()
int | ColumnCnt ()
Box * | Column (int col)
int | LineCnt ()
Pixa * | ConComps ()
Pixaa * | Columns ()
double | AlefHgtEst ()
double | DotHgtEst ()
Pix * | Line (int line, Box **line_box)

## Detailed Description

Definition at line 34 of file cube_line_segmenter.h.

## Constructor & Destructor Documentation

tesseract::CubeLineSegmenter::CubeLineSegmenter | ( | CubeRecoContext * | cntxt,
|  | Pix * | img
| ) |  |

Definition at line 36 of file cube_line_segmenter.cpp.

{
cntxt_ = cntxt;
orig_img_ = img;
img_ = NULL;
lines_pixa_ = NULL;
init_ = false;
line_cnt_ = 0;
columns_ = NULL;
con_comps_ = NULL;
est_alef_hgt_ = 0.0;
est_dot_hgt_ = 0.0;
}

tesseract::CubeLineSegmenter::~CubeLineSegmenter | ( |  | ) |

Definition at line 49 of file cube_line_segmenter.cpp.

{
if (img_ != NULL) {
pixDestroy(&img_);
img_ = NULL;
}
if (lines_pixa_ != NULL) {
pixaDestroy(&lines_pixa_);
lines_pixa_ = NULL;
}
if (con_comps_ != NULL) {
pixaDestroy(&con_comps_);
con_comps_ = NULL;
}
if (columns_ != NULL) {
pixaaDestroy(&columns_);
columns_ = NULL;
}
}

## Member Function Documentation

double tesseract::CubeLineSegmenter::AlefHgtEst | ( |  | ) |

inline

Definition at line 80 of file cube_line_segmenter.h.

{ return est_alef_hgt_; }

Box* tesseract::CubeLineSegmenter::Column | ( | int | col | ) |

inline

Definition at line 52 of file cube_line_segmenter.h.

{
if (init_ == false && Init() == false) {
return NULL;
}
return columns_->boxa->box[col];
}

int tesseract::CubeLineSegmenter::ColumnCnt | ( |  | ) |

inline

Definition at line 46 of file cube_line_segmenter.h.

{
if (init_ == false && Init() == false) {
return NULL;
}
return columns_->n;
}

Pixaa* tesseract::CubeLineSegmenter::Columns | ( |  | ) |

inline

Definition at line 73 of file cube_line_segmenter.h.

{
if (init_ == false && Init() == false) {
return NULL;
}
return columns_;
}

Pixa* tesseract::CubeLineSegmenter::ConComps | ( |  | ) |

inline

Definition at line 66 of file cube_line_segmenter.h.

{
if (init_ == false && Init() == false) {
return NULL;
}
return con_comps_;
}

double tesseract::CubeLineSegmenter::DotHgtEst | ( |  | ) |

inline

Definition at line 81 of file cube_line_segmenter.h.

{ return est_dot_hgt_; }

Pix * tesseract::CubeLineSegmenter::Line | ( | int | line,
|  | Box ** | line_box
| ) |  |

Definition at line 866 of file cube_line_segmenter.cpp.

{
if (init_ == false && Init() == false) {
return NULL;
}
if (line < 0 || line >= line_cnt_) {
return NULL;
}
(*line_box) = lines_pixa_->boxa->box[line];
return lines_pixa_->pix[line];
}

int tesseract::CubeLineSegmenter::LineCnt | ( |  | ) |

inline

Definition at line 59 of file cube_line_segmenter.h.

{
if (init_ == false && Init() == false) {
return NULL;
}
return line_cnt_;
}

Pix* tesseract::CubeLineSegmenter::PostProcessedImage | ( |  | ) |

inline

Definition at line 40 of file cube_line_segmenter.h.

{
if (init_ == false && Init() == false) {
return NULL;
}
return img_;
}

The documentation for this class was generated from the following files:

- /mnt/data/src/tesseract-ocr/cube/cube_line_segmenter.h
- /mnt/data/src/tesseract-ocr/cube/cube_line_segmenter.cpp